%global forgeurl https://github.com/OpenPrinting/ghostscript-printer-app

%global commit 6528e6be19e3ab77248c4b9c2ed0fccda849fb6f

%forgemeta

Name:           ghostscript-printer-app
Version:        0
Release:        1%{?dist}
License:        ASL 2.0
Summary:        Printer Application for GhostScript printers that uses PAPPL to support IPP printing from multiple operating systems.
URL:	        %{forgeurl}
Source0:        %{forgesource}
Source1:        ghostscript-printer-app.sysusers
#Services which run as root cannot create listener sockets
Patch0:         ghostscript-printer-app_service-user.patch
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:  systemd-rpm-macros
BuildRequires:  cups-devel
BuildRequires:  pkgconfig(libcupsfilters) >= 2.0b1
BuildRequires:  pkgconfig(libpappl-retrofit) >= 1.0b1
BuildRequires:  pkgconfig(libppd) >= 2.0b2
BuildRequires:  pkgconfig(pappl) >= 1.2.1

%description
ps-printer-app is a printer Application for GhostScript printers that uses PAPPL
to support IPP printing from multiple operating systems. In addition, it uses
the resources of cups-filters 2.x (filter functions in libcupsfilters, libppd)
and pappl-retrofit (encapsulating classic CUPS drivers in Printer Applications).

%prep
%forgesetup

%patch0 -p1

%build
%make_build

%install
%make_install libdir=%{buildroot}%{_libdir} serverbin=%{buildroot}%{_libdir}/ghostscript-printer-app

install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/ghostscript-printer-app.conf

#System unit does not get copied correctly
%if 0%{?fedora} >= 37
install -p -D -m 0644 %{name}.service %{buildroot}%{_unitdir}/%{name}.service
rm %{buildroot}/%{name}.service
%endif

%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post ghostscript-printer-app.service

%preun
%systemd_preun ghostscript-printer-app.service

%postun
%systemd_postun_with_restart ghostscript-printer-app.service

%files
%license
%{_bindir}/ghostscript-printer-app
%{_libdir}/ghostscript-printer-app
%{_unitdir}/ghostscript-printer-app.service
%{_mandir}/man1/ghostscript-printer-app.1.gz
%dir %{_datadir}/ghostscript-printer-app
%{_datadir}/ghostscript-printer-app/testpage.ps
%attr(-, ghostscript-printer-app, ghostscript-printer-app) %dir %{_sharedstatedir}/ghostscript-printer-app
%{_sysusersdir}/ghostscript-printer-app.conf

%changelog
* Thu Feb 2 2023 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20230202git6528e6b
- Update to 6528e6b git snapshot

* Thu Aug 25 2022 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20220825git59b2419
- Update to 59b2419 git snapshot

* Sun Feb 27 2022 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20220227gitc2b4513
- Update to c2b4513 git snapshot

* Wed Nov 17 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20211117git4285af3
- Run service as user ghostscript-printer-app

* Sun Sep 26 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-4.20210923gitf72e537
- Run service as user ghostscript-printer-app

* Fri Sep 24 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-3.20210923gitf72e537
- Add shared state folder

* Thu Sep 23 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-2.20210923gitf72e537
- Correct some path definitions

* Thu Sep 23 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20210923gitf72e537
- Initial specfile
